commit 03cbbf6c3e811c026c86e3a60d2f9af56606e155
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Apr 14 15:36:00 2014 +0200

    xproto 7.0.26
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit d522ff998b77f0c8c39c4d3945f78d2221fe1209
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Dec 17 14:26:07 2013 +0000

    Xpoll.h.in: Fix WIN32 check to trigger on MinGW only
    
    MinGW-w64 w32api-headers 3.0.0 define WIN32 in some places they didn't before,
    which causes this check to turn on for Cygwin, which is not wanted.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit aee7e4de57349db186ca9d8c1312dc18590d3942
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Apr 3 13:55:16 2013 +0100

    Xwindows.h: Wrap Windows 64-bit types as well for 64-bit build
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit e5e2ed5b115107d1b1d5248ac5c5dda67e71ea50
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 28 11:11:00 2013 -0800

    Add more comments on connection setup to Xproto.h
    
    Some of the bits I forget and have to dig out of the protocol spec
    every few years when I need to know again.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 148d89f0b3a652acc54b1a21807ffd6d0e81e279
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 15 08:27:09 2013 -0800

    Replace 'pointer' with explicit 'void *'
    
    To get rid of the 'pointer' typedef, stop using it locally. That way,
    when _XTYPEDEF_POINTER is defined before Xdefs.h is included, it won't
    get defined and Xdefs.h will still compile.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3911ad9e8e8911c4b4a5d624e73b51667d0e3963
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Thu Nov 21 20:20:22 2013 -0600

    Xthreads.h: Declare _Xthread_init for WIN32
    
    This fixes the build of libXt on *-*-mingw* with -Werror=implicit.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a7fa86998c873ce7463d169b4bd423898ca2bae1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 22 22:14:24 2013 -0800

    xproto 7.0.25
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a8aa17cb63493b4b756587ddc884a9055dba14da
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 26 09:42:05 2013 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ed5a86761d96d4bdebda4f09071a49cbf4688d1b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 1 20:05:12 2013 -0800

    Remove WORD64, MUSTCOPY, and other CRAY leftovers
    
    Leaves behind several no-op macros for compatibility with existing
    code that uses them.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6d4acb0e3a6568a8faaa651d4e3d32f917b9067b
Author: Benno Schulenberg <bensberg@justemail.net>
Date:   Sat Aug 31 17:00:34 2013 +0200

    Additional dead keysyms to complete the German DIN T3 keyboard layout.
    
    Signed-off-by: Benno Schulenberg <bensberg@justemail.net>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 043ed78ce03febd113615f5920bc9dffaf7f0b16
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 14:45:28 2013 -0700

    Add _X_COLD attribute for branch prediction hints
    
    Unfortunately the Solaris Studio equivalent is a pragma taking the
    function names as arguments, so doesn't translate cleanly into a
    common macro form.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d103af8068fb90494cbd6e1ff950850369bbf95f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 29 16:20:49 2013 -0700

    xproto 7.0.24
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f8c43d587e43fee2c22bd7b5f35a9d4dc8bdb580
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 3707c6e71c01758b0ac5b2c29c8600b6ff6b73ee
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:01:10 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit c0dd615fddb6fa487d1a914c6928f3843489725e
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Mon Oct 22 02:52:44 2012 -0500

    Adjust wrapping to work with MinGW-w64 headers
    
    Adjust <windows.h> wrapping to work with MinGW-w64 as well MinGW.org
    headers, which define BOOL in a different way.
    Add some more comments on what we doing here.
    v2: Make similar changes to Xwinsock.h, used for MinGW but not Cygwin.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>

commit c0d697ffddf14117541e7021c3b80b25c4536f6f
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Mon Oct 15 02:16:46 2012 -0500

    Do not use visibility attributes on MinGW
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    Tested-by: Colin Harrison <colin.harrison@virgin.net>

commit c76d51423d6a6afe4f0c8fc6f863ba97d202184b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 14:36:50 2012 -0700

    Bug 51009: _X_RESTRICT_KYWD fix for g++ 4.6 & later on Solaris
    
    g++ 4.6 & later on Solaris set the __STDC_VERSION__ define to indicate
    C99 mode to expose C99/Unix03 functions in the system headers, even
    though they don't recognize the C99 restrict keyword, as explained in
    http://gcc.gnu.org/ml/gcc-patches/2010-05/msg01308.html
    
    Thus we avoid using the restrict keyword here if __cplusplus is also
    defined, falling back to the __GNUC__ case using __restrict__ instead.
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=51009
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Jonathan Perkin

commit f1b8b4dd5e798b7e91da95eca997ec7236fcbc27
Author: James M Leddy <james.leddy@canonical.com>
Date:   Wed May 9 12:45:01 2012 -0700

    Add XF86XK_AudioMicMute
    
    Lenovo Thinkpad machines have a microphone mute in addition to the
    standard audio output mute.
    
    Signed-off-by: James M. Leddy <james.leddy@canonical.com>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit a06fa7fc98b66652df8bbc4734b5010d43744373
Author: Sergei Trofimovich <slyfox@gentoo.org>
Date:   Tue Dec 20 16:43:44 2011 +0300

    Xmd.h: Treat __ILP32__ targets as LONG32 ones
    
    amd64-x32 ABI defines sizeof(long) == sizeof (void*) == 4
    
    Noticed on build failure of libXmu:
      libXmu-1.1.0/work/libXmu-1.1.0/src/EditresCom.c: In function '_XEditresGetStringValues':
      libXmu-1.1.0/work/libXmu-1.1.0/src/EditresCom.c:2198:6: error: duplicate case value
      libXmu-1.1.0/work/libXmu-1.1.0/src/EditresCom.c:2194:6: error: previously used here
    
    More info about x32: https://sites.google.com/site/x32abi/
    
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit a6651a8d812d224a9e74205bdefb7081f743af11
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue May 1 16:38:14 2012 -0400

    config: replace obsolete AC_CONFIG_HEADER with with AC_CONFIG_HEADERS
    
    The former is an obsolete alias to the latter.
    It may get removed in the future.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 20202784b9700d973d5301f0cb3243eba99fc349
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 15 23:11:19 2012 -0700

    xproto 7.0.23
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ab1fba1a0967ac2289909c3f1a643f876a5dd393
Author: Marko Myllynen <myllynen@redhat.com>
Date:   Mon Feb 20 17:01:21 2012 +0200

    x11proto: add permille, ezh, and EZH to keysymdef.h
    
    This patch adds the following mnemonic symbols:
    
    XK_permille  for   U+2030 PER MILLE SIGN
    XK_EZH       for   U+01B7 LATIN CAPITAL LETTER EZH
    XK_ezh       for   U+0292 LATIN SMALL LETTER EZH
    
    These are the last mnemonic symbols missing from the Finnish keyboard
    layout. The characters are part of the Finnish standard, ezh is used
    in Sami and permille sign is used commonly in Finland, probably in
    other countries as well.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=19687
    
    Signed-off-by: Marko Myllynen <myllynen@redhat.com>
    Reviewed-by: Matt Dew <marcoz@osource.org>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 67dd3bfe1ea20473944aec414d9f4b5eba196d8b
Author: Frédéric Boiteux <fboiteux@calistel.com>
Date:   Wed Nov 30 07:46:54 2011 -0500

    Definition of dead greek symbol
    
    Define a new dead greek symbol for use in Dvorak-like Bepo keyboard layout.
    
    FreeDesktop Bug 21475 <https://bugs.freedesktop.org/show_bug.cgi?id=21475>
    
    Signed-off-by: Frédéric Boiteux <fboiteux@calistel.com>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 4769a96385e0eb47550773abb00631af89977320
Author: Matt Dew <marcoz@osource.org>
Date:   Sun Jan 15 17:17:24 2012 -0700

    informaltable cleanup
    
    On certain tables, add top and bottom borders to table
    header and a bottom border to the table. This matches
    what those tables in the old pdfs looked like.
    
    the <?dbfo keep-together='always'> prevents tables from
    splitting across pages. Useful for tiny tables.
    
    Converting the colwidth to a floating point,
    IE, 1* -> 1.0* cleans up these build errors:
    WARNING: table-layout="fixed" and column-width unspecified
    => falling back to proportional-column-width(1)
    
    Signed-off-by: Matt Dew <marcoz@osource.org>

commit 7f26709e4bda1154287c27d57cb22465fa815380
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Mon Nov 14 17:22:30 2011 -0600

    Cygwin/X: Include <strings.h> early to avoid compile errors
    
    http://lists.x.org/archives/xorg-devel/2011-November/027117.html
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3d7be5c61b991a3b33526546acda2ab663cdc1d5
Author: Matt Dew <marcoz@osource.org>
Date:   Mon Oct 3 18:26:22 2011 -0600

        1 - fix the capitolization of the ID attriutes to match either the
            <title> or <funcdef> string it goes with.
        2 - fix any <linkend>'s that were affected by 1.
        3 - any <function> in the docs that has an actual funcdef,
            will become an olink.
    
        Signed-off-by: Matt Dew <marcoz@osource.org>

commit f5d77f49dbd99d54324a6f1807b872d800abddf7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 21 15:52:39 2011 -0400

    x11proto spec: fix copyright markup
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8cf26b29001b1fe87cce6b56433ffe7874c7e234
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 14 14:49:03 2011 -0400

    spec: remove duplicate Copyright line
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit aefda8ec34ef64aef43015e6e31ea908da38c4c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 11:06:29 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a4fca029b5ace31e56941970151c226e221e1dcf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 11 19:49:54 2011 -0400

    docs: remove <productnumber> which is not used by default
    
    This element is not rendered by default on the title. A template
    customization is required to display it.
    X Window System does not have a product number.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit acd12d6096bad0d0e45b34f52ae92cc32f8ba7bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 8 20:00:00 2011 -0400

    docbook.am: embed css styles inside the HTML HEAD element
    
    Rather than referring to the external xorg.css stylesheet, embed the content
    of the file in the html output produced. This is accomplished by using
    version 1.10 of xorg-xhtml.xsl.
    
    This makes the whole html docs tree much more relocatable.
    In addition, it eliminates xorg.css as a runtime file which makes
    xorg-sgml-doctools a build time only package.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bd46f6d09c849335574ac84a0aa2de7c28daa552
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 7 10:31:04 2011 -0400

    docbook.am: global maintenance update - entities, images and olinking
    
    Adding support in libX11 for html chunking caused a reorg of docbook.am
    as well as the xorg-sgml-doctools masterdb for olinking.
    The parameter img.src.path is added for pdf images.
    A searchpath to the root builddir is added for local entities, if present.
    
    The docbook.am makefile hides all the details and is identical for
    all 22 modules having DocBook documentation. It is included by a thin
    Makefile.am which requires no docbook knowledge.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c270f8bed465daff386967c5586eb3c8490b86e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 26 13:55:29 2011 -0700

    Fix Xfuncproto.h to work when #included in a C89-mode compilation
    
    Variable argument macros are not supported in C89, only C99 or a
    compiler-specific extension like gcc's.   Even just defining the
    macro causes builds with C89 compilers to fail, as they can't
    figure out how to handle #define _X_NONNULL(...), so only define
    the fallback for C99 compilers.
    
    Since this means C89 compilers will see _X_NONNULL unexpanded in
    sources, add a comment to remind users that this should only be
    used with #ifdef _X_NONNULL guards in public/exported API headers
    we install for other software to compile against, so that we don't
    break their builds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 06ebd5b88bee8c54222bde3178dc773776036802
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Jun 29 09:24:51 2011 -0400

    Add some keysyms to support Breton’s n-graphs.
    
    These keysyms are necessary for XIM to support single-keystroke
    multiple-character keys on Breton C’HWERTY keyboards.
    
    Addresses: https://bugs.freedesktop.org/show_bug.cgi?id=34453
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 42c16165df536f74d1177eae2b94f96b3ebbdfb2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 23 09:28:57 2011 +1000

    xproto 7.0.22
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 13799852a8b8116094a885809782604fa7507115
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 16 11:01:39 2011 +1000

    Add two more symbols for logging grab and window trees
    
    These two keysyms provide exciting new possibilities of a close relationship
    between our valued users and hard-working developers through innovative
    logging solutions. Such keysyms truly pave new ground in the reponsiveness
    to bug reports and and debug-ability of grabs.
    
    For unprecedented uses of these keysyms, see the patches here:
    http://patchwork.freedesktop.org/patch/5936/
    http://patchwork.freedesktop.org/patch/5935/
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 7c3c4332d63d9003f7115173b7ece6ab1297cc15
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 12 17:54:50 2011 -0400

    Install xml versions of specs even if HAVE_XMLTO is false
    
    DocBook/XML input source is also a usefull output format that can be viewed
    with an XML viewer or editor and by some O/S help system.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c10589c12f45bfb8c0134d0370cf5f36ac7262bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 5 16:27:37 2011 -0400

    Install target dbs alongside generated documents
    
    This matches a change in xorg-sgml-docs whereby the masterdb will look for
    the target dbs into the same location as the generated documents.
    
    The target dbs are now installed alongside the generated documents.
    Previously they are installed in $prefix/sgml/X11/dbs alongside masterdb which
    has the potential of installing outside the package prefix and cause
    distcheck to fail when user does not have write permission in this package.
    
    Requires XORG_CHECK_SGML_DOCTOOLS(1.8) which was released 2011-06-11

commit 951295cceb72e929c55f639bbb91314fa276b2aa
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Jun 5 09:26:33 2011 +0000

    Fix sorting by codepoint in Latin 2.
    
    Sort performed by calling “sort -k 3” on the part between #ifdef
    XK_LATIN8 and #endif.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit d8920f71b68fe3fabd4ba04e2a4308579a8fe333
Author: Cyril Brulebois <kibi@debian.org>
Date:   Fri Jun 3 14:27:45 2011 +0200

    build: Add SIAddresses as a subdir of specs.
    
    Fix the following distcheck failure:
    | configure: creating ./config.status
    | config.status: creating Makefile
    | config.status: creating specs/Makefile
    | config.status: error: cannot find input file: `specs/SIAddresses/Makefile.in'
    | make: *** [distcheck] Error 1
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2ef6cb7ced5812975b3630cf201e75db439936e6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 17:31:36 2011 -0700

    spec: Add more indexterm & glossterm links
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ffb15d69844f1a653d51e29e0c6a1140cd52c3e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 13:53:10 2011 -0700

    spec: move id attributes for event definitions so fop can find them
    
    FOP gives 'Unresolved ID reference "events:FocusOut" found.' errors
    when the id attribute is on the emphasis tag, so moved up to the
    surrounding entry tag.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41da11426e0ad420952fbd329527c2ae267e232b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 13:39:37 2011 -0700

    spec: Add zone attributes to indexterm tags for more stable link ids
    
    Use named id's instead of autogenerating idXXXXXX values that change
    in different versions so that it's easier to have stable links.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58897af838482f52abc8a70fc1e1d39c89736bfb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 11:04:17 2011 -0700

    spec: move &gt; outside emphasis to match &lt; in note after error list
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19b35215c9cff167c62dabecef89e3d5f8df2853
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 10:56:36 2011 -0700

    spec: Syntactic Conventions examples should not be separate list entries
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e6ad4dd8d054caf6cd63575167db468929532089
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 09:54:07 2011 -0700

    spec: Add cross-reference links in glossary to InputOnly & InputOutput
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2fc4719ba4f122ce5604d693442fa041114526ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 28 09:43:04 2011 -0700

    spec: Markup VoidSymbol and NoSymbol with <keysym> instead of <emphasis>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9bbb6e3f835219110ec0f7bd72ba7fa92974bae8
Author: Cyril Brulebois <kibi@debian.org>
Date:   Tue May 24 13:08:27 2011 +0200

    Sort Latin 8 keysyms by codepoints.
    
    The overall chaos misled implementors into writing interval checks to
    determine the case, but that doesn't work too well when lines aren't
    sorted.
    
    Sort performed by calling “sort -k 3” on the part between #ifdef
    XK_LATIN8 and #endif.
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b283f6cba77987b215556f80b6b2f1da45672d8b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon May 23 16:01:02 2011 -0700

    Add comments to Xfuncproto.h noting required xproto versions for each macro
    
    Saves time trawling git logs to determine what to put in the call to
    PKG_CHECK_MODULES in configure.ac when you start using one of these.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Acked-by: Cyril Brulebois <kibi@debian.org>

commit 217d1dae0093ccaaac59a4fa42000e732492cb66
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 27 17:25:53 2011 -0700

    Add _X_NONNULL macro to annotate when a function expects arguments to be non-null
    
    This will allow with compiler optimization and better static analysis.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 6648db8f910fb74c100cf24436bf0df12cba7fd7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 27 17:25:40 2011 -0700

    Add _X_UNUSED attribute to designate unused variables and silence warnings
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 19c12c60c22d5a23039bc90845a6ecacdd64f2db
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Wed Apr 20 22:57:05 2011 +0200

    Fix __STDC_VERSION__ tests.
    
    the existing test:
    defined(__STDC__) && (__STDC_VERSION__ - 0 >= 199901L) causes an
    warning when building X stuff with gcc -Wundef. Other tests for
     __STDC_VERSION__ in the X sources all use
    defined(__STDC_VERSION__) && (__STDC_VERSION__ -0 >= 199901L)
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da46c2d0e11c1709b7dd6b2c79253ce8751c81bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 27 15:06:18 2011 -0500

    Documentation: add Docbook external references support
    
    When writing technical documentation, it is often necessary to cross
    reference to other information. When that other information is not in the
    current document, additional support is needed, namely <olink>.
    
    A new feature with version 1.7 of xorg-sgml-doctools adds references to
    other documents within or outside this package.
    
    This patch adds technical support for this feature but does not change
    the content of the documentation as seen by the end user.
    
    Each book or article must generate a database containing the href
    of sections that can be referred to from another document. This database
    is installed in DATAROOTDIR/sgml/X11/dbs. There is a requirement that
    the value of DATAROOTDIR for xorg-sgml-doctools and for the package
    documentation is the same. This forms a virtual document tree.
    
    This database is consulted by other documents while they are being generated
    in order to fulfill the missing information for linking.
    Refer to the xorg-sgml-doctools for further technical information.
    
    Co-authored-by: Matt Dew <marcoz@osource.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 452ae1076b4ad8ccd60e218a3676baa274c083ff
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 23 11:44:18 2011 +1000

    xproto 7.0.21
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 423f5faddbb1023d0c1cf55b9d1da4397aa1aa26
Author: Harshula Jayasuriya <harshula@gmail.com>
Date:   Tue Mar 15 10:46:48 2011 +0000

    Add #defines for Unicode Sinhala to keysymdef.h
    
    Add #defines for Unicode Sinhala so that they can be used in the lk XKB
    keyboard layout.
    
    Signed-off-by: Harshula Jayasuriya <harshula@gmail.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit f0c5b701a5f8fe6be24229dea35c35b50afe8646
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 24 20:13:20 2011 -0800

    Support _X_INLINE in any C99-compliant compiler
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6eed63f7455d718bf6238ca2f24515329b2a3895
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 6 22:24:33 2011 -0800

    Add missing notices to COPYING
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1870ec9ce40e8852e1cdce473afa90d21d780e52
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 13 16:25:31 2010 -0800

    Xfuncproto.h: Add _X_RESTRICT_KEYWORD for C99 & gcc in non-strict-C89 mode
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e5604f04482350eb922a31ad4342aab91ab3b412
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 9 16:04:52 2010 -0800

    Enable gcc attribute(__format__) on gcc versions older than 4.0
    
    Enabled on 2.3 and up, since that's where it's available according to
    http://www.ohse.de/uwe/articles/gcc-attributes.html#func-format
    
    Tested with gcc 3.4.3 on Solaris.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d25f90fe260f546cdea0ec2ebc84df446eef5f47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 19:05:26 2010 -0800

    xproto 7.0.20
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78806c9fc4be8da93581dcbdafbd668cac9f2d8b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 17:57:24 2010 -0800

    spec: Convert .DS/.DE nroff sections to <literallayout> tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f1309dd259f29357b362c7c40913f33d3c144f49
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 17:37:05 2010 -0800

    spec: Convert some tables that didn't get converted from troff properly
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19e314d95219d64aea079eb9d2b378533b6efdcd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 16:28:48 2010 -0800

    Replace ASCII -> arrows with Unicode ▶
    
    Matches formatting used in current extension specs like randr
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa2daaceb0fe5324589b9fca9d156b41697d3a52
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 16:06:37 2010 -0800

    spec: Make request names in text hyperlinks to request definition sections
    
    Same basic process as previous commit for event names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 998f64c6c986feee7a745a5169152025b229c6d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 15:31:21 2010 -0800

    spec: Make event names in text hyperlinks to event definition sections
    
    Started by taking list of event names and generating a list of perl
    commands such as:
    s{^\<emphasis role='bold'\>KeyPress\</emphasis\>}{<link linkend="events:KeyPress"><emphasis role='bold'>KeyPress</emphasis></link>}g;
    
    and running that with perl -i -p /tmp/e.pl *.xml
    
    Many of those changes were then manually reverted to avoid having
    the same link appear multiple times in a paragraph or to avoid having
    the definition sections link to themselves.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4be93c2188c9d8b1b186dde4d80ef91b31f4123
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 14:31:08 2010 -0800

    spec: Convert Events chapter into sections
    
    Started with a similar replace-regexp as the Requests chapter, but
    with a lot more manual editing due to the sections with multiple
    events grouped into a set.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eb772110ff1a4f6fc6d574bd23679b0408621ef3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 13:22:04 2010 -0800

    spec: Convert Requests chapter to have a section per request
    
    Bulk of change performed with emacs replace-regexp:
    <para id="requests:[^"]+">
    <emphasis role='bold'>\([^<]+\)</emphasis>
    <indexterm significance="preferred"><primary>[^<]+</primary></indexterm>
    </para>
    with:
       </section>
      <section id="requests:\1">
        <title>\1</title>
        <indexterm significance="preferred"><primary>\1</primary></indexterm>
    
    Plus manual editing of the first & last section, and manual
    conversion of GrabButton & GrabServer due to extra indexterm lines.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 14a0efb08c5e5ca12c8afce213d457e07900b5e6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 11:45:48 2010 -0800

    spec: Fix a bunch of the .RB -> <emphasis> mappings
    
    Cleans up the opening { of enum lists that the closing was handled
    by commit 68bf1a7a0c89
    
    perl -i -p -e 's{^<emphasis([^>]*)>(\W+?\s+)}{$2<emphasis$1>}g' *.xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c11f17ab7654ff32bcf486db24e36a3620408871
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 01:38:10 2010 -0800

    spec: add more indexterms linking into the body of the document
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19ce91d22578e0a12c4afb4171ae03a497c1fff3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 00:21:36 2010 -0800

    spec: move another indexterm in glossary to workaround fop crashing bug
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2406b705e546a97b39b3238bd95f125e0f004993
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 22:09:05 2010 -0800

    spec: Change titles of other specs from emphasis to citetitle tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 10b0200992ee81c0749a69eeba1a05562d724b3a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 22:00:44 2010 -0800

    spec: Fix section title markup in Connection Setup chapter
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 573cf6480727dafa68bd14e5bc725f0b5839f34e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 21:49:39 2010 -0800

    spec: Fix section title markup in Protocol Formats chapter
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 79afc5fb996e820eaf437f1dff42df3a7f70810a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 21:42:00 2010 -0800

    spec: convert predefined atom list from table to simplelist
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 68bf1a7a0c89cdc1c48ed967793d083519f2fb96
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:02:45 2010 -0800

    spec: Fix a bunch of the .BR -> <emphasis> mappings
    
    perl -i -p -e 's{ (\W*?)\s*</emphasis>}{</emphasis>$1}g' *.xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eef13837a6296cbe8d4cd9bda74352769f6a1a66
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Dec 2 15:33:34 2010 -0500

    specs: add ServerInterpreted addresses directory
    
    Relocated from xorg-docs/specs/SIAddresses
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fb8a596aec87133500b6ee33b7843d82b09ecdf7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 29 00:23:38 2010 -0800

    spec: Add glossterm cross reference links to glossary
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ee6ddb4b0e6852df8c07680bd6b1dddaa5c24616
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 23:56:12 2010 -0800

    spec: Stopping marking glossary terms as functions when they're not
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 710b9979c9db2d0be0dcc787fa1a9229d2b30636
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 23:41:36 2010 -0800

    spec: Finish converting some unconverted index entries in glossary
    
    Change made by:
    perl -i -p -e 's{\<\!-- \.IN "([^"]+)" "([^"]+)" "\@DEF\@" --\>}{  <indexterm significance="preferred"><primary>$1</primary><secondary>$2</secondary></indexterm>}' glossary.xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ae571ef20dce0281cd7961663decd9e45838368e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 23:33:54 2010 -0800

    spec: Add id's to glossary entries for use in cross-reference links
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6bc03d2e9f390638295966714b96ec517ea0b3af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 23:26:53 2010 -0800

    spec: Add cross-reference links in doc ("see ...")
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2fd776b24ed85865186d40d95e2e9f11831a8e33
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 21 11:46:30 2010 -0800

    Sun's copyrights belong to Oracle now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fe7b269fd329201fdbffa12ce7724287c10a3abf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 21 09:48:52 2010 -0800

    Bug 31132: Xarch.h needs to include <sys/types.h> on Solaris 10
    
    Workaround older Solaris releases using types from <sys/types.h> in
    <sys/byteorder.h> and not including it directly.
    (That was fixed in OpenSolaris/Solaris 11 as part of:
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=4483139 )
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Acked-by: Pat Kane <pekane52@gmail.com>

commit 5d3428de974d15357b0ad407f4c5222cfaa8f9f3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 8 15:24:55 2010 +1000

    Add XF86XK_TouchpadOn/Off
    
    Those keysyms will be used to report events from the hardware. Hardware
    like the HP laptops emit 2 separate keycodes when the touchpad is enabled
    or disabled. So we can catch those in user-space and display a popup.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31300
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d441b9b0230b57159fa8522b80f18a0b87f5aac5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 15:19:09 2010 -0500

    config: HTML file generation: use the installed copy of xorg.css
    
    Currenlty the xorg.css file is copied in each location
    where a DocBook/XML file resides. This produces about
    70 copies in the $(docdir) install tree.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cda6ce66caa01997b9dd32eb8689d6e746558369
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 3 00:04:22 2010 -0700

    xproto 7.0.19
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 25bd19ee8587e2c00be7179cf809f4bd8e2a3bed
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 3 00:04:06 2010 -0700

    README: Provide a small description
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce8b17064d38ec03527a51c2191674d56989807b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 15:35:52 2010 -0700

    specs: Fix nesting of chapters included in sect1-9.xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 14acb707dbd1f49eb0e8e5bf4164f32c3209e030
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 14:56:08 2010 -0700

    specs: Move indexterms out of glossdef tags
    
    Try to avoid problems similar to those fixed in libX11
    commit 511c4f6d29b2da4f71093feabcbb3913cb5d12a7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d44b3e4db593f3fb48835c9b39e23ef231efcb7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 31 14:51:55 2010 -0700

    specs: Restore missing indexterms for request, type, error & event definitions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea96e0e74fca3306c1320a5daf7fb9ff609b3c5a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 20:01:25 2010 -0700

    specs: Convert troff ``quotes'' to DocBook <quote>quotes</quote>
    
    perl -i -p -e 's{\`\`([^\047]+)\047\047}{<quote>$1</quote>}g' *.xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d27f326c976d7da9ea43706bca1c3766f225ee6f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 19:54:56 2010 -0700

    specs: Convert .IN troff tags to <indexterm> DocBook Tags
    
    Many of the .IN tags seem to have been lost in translation before this.
    
    Converted those still in comments with:
    
    perl -i -p -e 's{\<\!-- \.IN "([^"]+)" "" "\@DEF\@" --\>}{<indexterm significance="preferred"><primary>$1</primary></indexterm>}' *.xml
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 34b099b7b6e72ceaf8edcbf0ca351af410c3b2fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 19:26:10 2010 -0700

    specs: Fix authorship section
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c23cc9a4a728e5cccf685388f2e54eff31c3867f
Author: Matt Dew <matt@osource.org>
Date:   Tue Aug 17 20:49:44 2010 -0400

    specs: convert protocol .ms from xorg-docs to DocBook XML
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cb020b302c1ebb9477cd5b4adae8677597269733
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 10:20:01 2010 -0400

    xproto 7.0.18
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d14e0d02507dd873f43b1122c468a52ed5b295c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon May 17 20:57:27 2010 -0700

    Add Sun cc 5.9 & later to compilers supporting noreturn attribute
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 9ffca704438993516016671e9a7f67c5ca21f142
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat May 15 17:43:32 2010 +0200

    xproto 7.0.17
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 81c3cc1ce1f163de91d33bfa1b335f8b4d309c13
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 28 19:25:52 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1f442cdd1c26fa10e654ef2e957e24c2306abb11
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 28 19:00:31 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1511eb6065c103149b7ce59b4cc0aa538449cf80
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Mar 27 19:42:59 2010 -0700

    Add _X_NORETURN macro to signify functions that don't return
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e7d73aec46f2ebc21e8b80378c3647b69f098b9a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 27 16:38:27 2010 -0400

    config: remove execute permission on configuration file
    
    Introduced in commit 	c879dab58f82f4789f27933c22706c84015f8684
    "avoid checking for fds_bits on mingw"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bf25d06799da98c3df655d8a734fe98c98bf143e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:31:40 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d02f4b124489016f43478ac2ca2fbb2d0253ba02
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Oct 13 16:51:14 2009 -0500

    xproto: Cygwin GCC does not support visibility attributes
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ec13f2cc5af936aafc3a483f441c44aa5ed14fe3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 22 19:24:48 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 45135e80f1e1f8818159f7d80372a77df0537738
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 16 11:13:30 2009 -0500

    README: file created or updated #24206
    
    Contains a set of URLs to freedesktop.org.

commit cdd22487f12f7058404759bd138ada421debc93a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 19:45:27 2009 -0500

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit b99b992915dd19914c9464d9a96278d2cc2ceeeb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:31:29 2009 -0500

    Makefile.am: INSTALL file is missing or incorrect #24206
    
    The standard GNU file on building/installing  tarball is copied
    using the XORG_INSTALL macro contained in XORG_DEFAULT_OPTIONS
    Add INSTALL target

commit caea0fd5a966a74465d965ecab89f4829dced157
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:11:36 2009 -0500

    configure.ac: deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit f1b1d45cd955f24a338af098ebd6a181b1454b38
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 14 20:47:09 2009 -0500

    configure.ac: AM_MAINTAINER_MODE missing #24238
    
    This turns off maintainer mode build rules in tarballs.
    Works in conjunction with autogen.sh --enable-maintainer-mode

commit 78947b5a7e0ef934fdce7e1bce734d2cf29639b4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 14 18:26:47 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 3ec82cd722407e4dccd6165786d3452f3ab80bea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 10:46:06 2009 +1000

    Add XF86XK_TouchpadToggle
    
    Many laptops provide a key to enable or disable the touchpad and the
    trackstick. On Lenovo T61s, this key is located on Fn + F8.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4253e208088d166a8666f673360ef69a3c86f8b0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 23 17:04:09 2009 -0700

    xproto 7.0.16
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 05914c82696432126a72845dd061c7f5e24963c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 23 17:00:18 2009 -0700

    Don't need an #ifdef when both cases just include the same file
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ef37625372546efb32cdb37823b9927cf16b0840
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jun 17 15:28:54 2009 +0100

    Restore macro definition of sleep(), needed by Xming
    
    Removed in error by commit 1defe6b37c23941fe2a67ad4fa66e8ab5f37f9b3
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit e9df99b12ef9fefdbc1c05ff51bddffe723051e9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Jun 14 09:54:58 2009 -0700

    Drop #ifdef USG checks for some truly ancient (pre-SVR4) SysV's
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 385c1343f7e0782b89e40fa17e378bc1f75ce62e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Jun 14 09:43:53 2009 -0700

    Get rid of unneeded && clause in list of LP64 ifdefs in Xmd.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5aaec3c7a583354a07ec765327fd0edd6216981f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Jun 14 09:33:16 2009 -0700

    Drop support for SunOS 4 and Solaris releases older than 2.5 (1995)
    
    Includes changing remaining sun ifdef's to check for standard-conformant /
    non-namespace-polluting #ifdef __sun instead of older #ifdef sun.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5bad478221c54c0dbf682ef2569f6ca5ac050049
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Jun 14 09:10:06 2009 -0700

    Use indentation to provide a map through the twisty maze of ifdefs, all alike
    
    git diff -w shows no changes other than whitespace in this patch
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1f59b5f8eac522bb0a5155393224496c39deca42
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Jun 14 08:31:13 2009 -0700

    Removing dangling #else block from X_NOT_STDC_ENV removal
    
    Fixes mass damage caused by ced38e880b54f2aae31a5354aecb4235a129f0a4
    moving the includes for unistd.h, fcntl.h, etc. from the else for
    X_NOT_STDC_ENV into the #else for #ifndef _XOS_H_, which made them
    go away for everyone.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4435ea3d806f5b9cd66b563a6b751ac5020404e3
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Jun 12 12:41:57 2009 -0400

    Use ## catenation not /**/

commit 74d18e89a3a315ae9ee4fb3efcaf515abd339b1d
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Jun 12 12:39:06 2009 -0400

    __STDC__ is always defined in C89.

commit bab9c572cd4dc916ff0acab99de8bb526212d77f
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Jun 12 12:33:22 2009 -0400

    Remove a bunch of garbage for unsupported platforms.

commit ced38e880b54f2aae31a5354aecb4235a129f0a4
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Jun 12 11:55:37 2009 -0400

    Remove all trace of X_NOT_STDC_ENV (#6527)
    
    Seriously C89 already you guys.

commit 3fc87608d4b3f85d0dbd44ee9040d5ab60130bea
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Jun 12 11:43:45 2009 -0400

    Death to RCS tags.

commit a2a0f01d367050ca182927b8219deb581a497c2c
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Jun 9 00:47:25 2009 -0700

    Apple: Only define _DARWIN_C_SOURCE if it isn't already defined

commit 1defe6b37c23941fe2a67ad4fa66e8ab5f37f9b3
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Jun 5 18:04:58 2009 +0100

    Cygwin/X: Don't destroy min/max macros in Xwindows.h
    
    Now that macros named min/max rather than MIN/MAX are used consistently in the
    X server, we need to ensure they work for Xwin builds.  Change Xwindows.h from
    simply destroying any definition of min/max, to avoiding defining them but
    allowing any pre-existing definition to stand.
    
    Also, try to improve the comment describing why this madness is needed in the
    first place, and remove a no-longer needed macro definition of sleep()

commit 32d14e349964c5b16e83eda902d9724aac380b59
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 5 15:12:26 2009 -0800

    Remove #ifdef macII code left over from ancient A/UX 3.0 support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 034319189648eaaa483f9546c62451edb7be0c28
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Mar 2 12:54:41 2009 -0500

    Bump to 7.0.15.

commit 391f302a7d71b9169ce4c18794251ea3ccc95904
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 27 20:06:28 2009 -0200

    Janitor: Correct make distcheck and dont distribute autogen.sh

commit 1e33337d4dd151da4f0898a86608a1ee67588163
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 27 16:36:34 2008 +1030

    Add XF86XK_Suspend and XF86XK_Hibernate keysym defs.
    
    At the moment, we have the following keysyms defined to put a computer into a
    sleep state:
    
    XF86XK_Standby    0x1008FF10   /* System into standby mode   */
    XF86XK_PowerDown  0x1008FF21   /* Deep sleep the system      */
    XF86XK_Sleep      0x1008FF2F   /* Put system to sleep        */
    
    Proposed change by Richard Hughes:
        "The nomenclature I've been trying to make stick
        (most projects now use this) for a few years now is:
    
        standby: high sleep state, nobody uses this any more
        hibernate: sleep to disk - slow, but can remove power
        suspend: sleep to ram - fast, but can't remove power
        hybrid sleep: sleep to both, slow, and can remove power, but quick to
        resume if you don't - most users don't use this"
    
    This patch adds XF86XK_Suspend and XF86XK_Hibernate. The behaviour of
    XF86XK_Sleep can then be configured on a per-session basis.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 2563153ed69d3d6f052ba275ff79df3cbe54b76d
Author: James Cloos <cloos@jhcloos.com>
Date:   Tue Nov 11 16:26:28 2008 -0500

    [keysymdef.h] Add dead_currency symbol.
    
    As requested for the Bépo keyboard layout (http://clavier-dvorak.org/wiki/).
    
    Cf. bugs:
    
      http://bugs.freedesktop.org/show_bug.cgi?id=17821
      http://bugs.freedesktop.org/show_bug.cgi?id=17822

commit 735d745e17a6180f569f24f9792513b44e100aef
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Oct 13 03:11:33 2008 -0400

    Add a dead_belowcomma keysym
    
    Requested by the Bépo group.
    
    The belowcomma is only used for:
    
     U+0218 [Ș] LATIN CAPITAL LETTER S WITH COMMA BELOW
     U+0219 [ș] LATIN SMALL LETTER S WITH COMMA BELOW
     U+021A [Ț] LATIN CAPITAL LETTER T WITH COMMA BELOW
     U+021B [ț] LATIN SMALL LETTER T WITH COMMA BELOW
    
    (aka 0xAA, 0xBA, 0xDE and 0xFE from iso-8859-16).
    
    Cf: http://bugs.freedesktop.org/show_bug.cgi?id=17822
        http://bugs.freedesktop.org/show_bug.cgi?id=17821
        http://clavier-dvorak.org/wiki/

commit 935dd37be409bd616ef46a4d3b62c44327b3f710
Author: Sayamindu Dasgupta <sayamindu@gmail.com>
Date:   Mon Oct 13 03:00:53 2008 -0400

    Add dead vowels in keysymdef.h
    
    At OLPC, we are using an XKB based Amharic keyboard layout, which requires the
    use of dead vowels to generate the various consonant + vowel combinations (see
    http://en.wikipedia.org/wiki/Ge%27ez_alphabet#Syllable_signs for a detailed
    explanation).
    
    [Patch modified to use available keysym codes.  -JimC]
    
    Cf: http://bugs.freedesktop.org/show_bug.cgi?id=17437
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit c43f804f44ba3d751f343c2e27d9b491a1ebb458
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Sep 17 04:09:39 2008 -0400

    Add dead keysyms for DOUBLE GRAVE and INVERTED BREVE accents
    
    Several COMBINING characters are used in libX11's Compose tables
    where dead keys should be used; these are the two most-used which
    so far have not had equivalent dead keys.

commit 33a7de5cdacb59503b26c6523ffb33dba118faed
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Thu Oct 23 22:41:01 2008 +1030

    Bump to 7.0.14.

commit 1cf41088ff751e60071a519466b5a51b65c7626a
Author: Bastien Nocera <bnocera@redhat.com>
Date:   Wed Oct 15 14:20:45 2008 +1030

    Keysyms needed for some HID remote controls to work under X. #16519
    
    In particular, this enables Sony Ericsson phones and PS3 BD remotes.
    
    X.Org Bug 16519 <https://bugs.freedesktop.org/show_bug.cgi?id=16519>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 0b541b3fa282531c97c6ecee574c8b92b1489bfc
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Tue Oct 14 21:56:14 2008 +1030

    Fix typos in comments (UP/DOWN TACK and LEFT/RIGHT TACK wrong way round).
    
    Spotted by Erik Streb and Julien Cristau.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit c94477f16356790741ebc139d2d0b15d79c83e28
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Tue Oct 14 21:54:16 2008 +1030

    Revert "Fix typos in comments (UP/DOWN TACK and LEFT/RIGHT TACK wrong way round)."
    
    Codepoints should have moved with the comments. See next commit for correct
    patch.
    
    This reverts commit 2945d2f97c264783e4050a8f6c3016290014b9e2.

commit 2945d2f97c264783e4050a8f6c3016290014b9e2
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Tue Oct 14 21:04:08 2008 +1030

    Fix typos in comments (UP/DOWN TACK and LEFT/RIGHT TACK wrong way round).
    
    Spotted by Erik Streb.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 610eb9698316b7cdfe378ce7776c4520f8b061ff
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Mon Oct 13 12:01:16 2008 +1030

    Add keysyms for XF86XK_Battery, XF86XK_Bluetooth, XF86XK_WLAN, XF86XK_UWB.

commit 0846d7adfe790897e879c5ed53d4f81db459a20d
Author: James Cloos <cloos@jhcloos.com>
Date:   Sun Jul 13 17:57:09 2008 -0400

    Add dead_perispomeni to keysymdef.h
    
    Make the dead_perispomeni keysym an alias to dead_tilde
    (which is currently used for entering characters with
    perispomeni).
    
    Cf: https://bugs.freedesktop.org/show_bug.cgi?id=14013

commit 38edd9839fa8495602378af36c67b2477b24eca2
Author: James Cloos <cloos@jhcloos.com>
Date:   Sun Jul 13 17:54:47 2008 -0400

    fix typo in commit 40ed4eef

commit 53859ee4e431c21000e282971894dbe9384ed205
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed May 28 17:17:38 2008 +0930

    Bump to 7.0.13.

commit 44e458285bb2e7771963a9ab9b5f03d2fb48e611
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue May 15 16:41:08 2007 +0930

    Add GenericEvent and xGenericEvent definitions.
    (cherry picked from commit 8a96cdca08db2563e8c4c7c9a110a3ab6d973fcc)

commit 22878c30d21580146200c00070478f88d969bcaa
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu May 8 15:02:41 2008 -0700

    Apple: Added a comment to explain _DARWIN_C_SOURCE

commit e3035a7e6e56e01eb79478ea5342e032ec67a190
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu May 8 12:16:15 2008 -0700

    Apple: Define _DARWIN_C_SOURCE otherwise _XOPEN_SOURCE, _POSIX_SOURCE, or _POSIX_C_SOURCE will cause fd_mask to not be defined due to the strict namespace

commit 05b119d78e1c6a4db563b2a976cee0173489f9b6
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu May 8 11:36:03 2008 -0700

    Apple: Cleaned up some Apple definitions

commit c879dab58f82f4789f27933c22706c84015f8684
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Tue Apr 29 00:37:28 2008 +0100

    avoid checking for fds_bits on mingw

commit 8642ec676db0dd875f4d3a97d8a3cdbf6843a985
Author: Colin Harrison <colin.harrison-at-virgin.net>
Date:   Sat Apr 26 18:21:41 2008 +0100

    Use Sleep() instead of sleep() on windows
    
    (was already done in Xwindows.h, just not Xw32defs.h)

commit a893a6ac5d9fdfe9a420d1812402a01904e6482b
Author: Colin Harrison <colin.harrison-at-virgin.net>
Date:   Sat Apr 26 08:52:29 2008 +0100

    Use winsock2.h

commit c705bab0f6efcb6937b7ccc2fb415e701878fddb
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Mon Apr 21 21:27:26 2008 +0100

    Added comment to slightly discourage the definition of ever more Unicode keysyms

commit 44e24a27bca023cf7b799f191fe6d52e12efbe5f
Author: James Cloos <cloos@jhcloos.com>
Date:   Sat Apr 12 15:48:46 2008 -0400

    Add more dead key syms
    Add dead keys to support input of the precomposed latin characters in
    ISO 10747 which have ring, line, circumflex, tilde, breve or diaeresis
    below.
    
    This addresses:  https://bugs.freedesktop.org/show_bug.cgi?id=15446

commit 07e83988ec0b1c9577646daca3943badd5dcc0d1
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Mar 6 11:34:17 2008 -0500

    Fix typo in XF86Keysym.h
    
    Fix typo reported in https://bugs.freedesktop.org/show_bug.cgi?id=11193
    thereby making XF86Keysym.h match libX11’s XKeysymDB.

commit d34310efef11264ddff79320b8c6f03705b1208a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 5 22:09:16 2008 -0500

    x11proto 7.0.12

commit e4ad7a8080e4ac0b868fa7cf39bc5ad9a6e0bee1
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Sun Feb 10 19:07:49 2008 -0800

    Fixed #ifdef checks that were using i386 to use __i386__
    
    """
    It's simply obsolete, sloppy, compiler namespace pollution.  The
    compiler is not allowed to predefine symbols that might conflict with
    ordinary identifiers.  For backwards compatibility gcc currently
    predefines i386 when compiling for x86 32-bit (but not 64-bit), but that
    will go away.  It is also not defined if you specify -ansi when invoking
    the compiler, because then it is seriously standards compliant.  Other
    compilers shouldn't define it either.  Correct code shouldn't rely on it
    being defined.  However __i386__ is safe and proper.
    """

commit e49280c1c33622dbf288b0ac4f8324b01ff9b4aa
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Mon Dec 10 21:33:01 2007 -0800

    Changed __DARWIN__ to __APPLE__

commit 5ae4d304ecb5fb4af0435c9f2efde3d2da5905d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 30 18:44:49 2007 -0700

    Make Xalloca.h work with Sun C++ compiler

commit 5ccc71161283fdb2c42da1eeb4049650f6a2f429
Author: Ben Byer <bbyer@bbyer.apple.com>
Date:   Tue Oct 30 18:40:47 2007 -0700

    fd_mask needs to be defined on OS X, too

commit 8be48ca399c3efd0e5d59f53da1b37d02647f33b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Sep 24 12:28:25 2007 +0300

    Check headers before testing for fds_bits access method (bug #8442)
    
    HP-UX doesn't have sys/select.h, so make sure we don't overzealously include
    headers when we try to find out how to use fds_bits.

commit 68e841fb4bf489531635e6bee70f041d2c3cb87c
Author: James Cloos <cloos@jhcloos.com>
Date:   Sat Sep 8 08:30:17 2007 -0400

    bump to 7.0.11

commit 11fd082a384499c38065e06065bf80f244e9909a
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Aug 28 14:54:44 2007 -0700

    Describe what XF86XK_Display does (or now is meant to do).

commit 40ed4eef92e31fcf7ea0a436e1a00cdf49484c1b
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 22 21:10:47 2007 -0400

    Add dead_abovecomma and dead_abovereversedcomma
    
    Also added aliases dead_psili and dead_dasia.
    
    The UCS unifies Combining Psili and Combining Dasia with
    Combining Comma Above and Combining Reversed Comma Above.
    These two aliases mirror that unification.

commit ab74d270c76b17926504815ba43ee35b8b18d3be
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 22 21:01:48 2007 -0400

    Comment on the new locations of the files referenced in keysymdef.h
    keysymdef.h has a comment from the monolithic days suggesting that
    the file be kept in sync with mappings inxc/lib/X11/KeyBind.c and
    the protocol specication in xc/doc/specs/XProtocol/X11.keysyms.
    
    This commit adds pointers to the new locations of those two files.

commit 1edcfdb7f5c51e5c8014c56c4d5937337b7d4302
Author: James Cloos <cloos@jhcloos.com>
Date:   Tue Aug 21 00:10:08 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit d8a49874bbd05a927c42102c0c5c147cf72cb1dd
Author: Colin Harrison <colin.harrison-at-virgin.net>
Date:   Wed May 9 16:46:25 2007 +0100

    bcopy needs definition in Xfuncs.h for Xming

commit 7505880329d6b81f0c77d6aaa3995390659d5c63
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue May 1 14:54:27 2007 +0200

    Added some more files to .gitignore.

commit 0c55a57dca2e888ba089e280f62e1c5bb55db7d7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue May 1 14:52:57 2007 +0200

    Enable GCC's visibility attributes on GCC 4 or greater only.

commit 30f5eedf800f6683161fca9fc3e2d6ddc9ce0ac3
Author: Zephaniah E. Hull <warp@agamemnon.b5>
Date:   Fri Feb 2 15:11:26 2007 -0500

    Add keysym definitions from Jim Gettys.

commit 5951f0355c6b1c591241bccb2023e6c4d493e701
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:09:50 2006 +0200

    bump to 7.0.10

commit 0422755ef9373fbb6f69fbb599d791331837f747
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:09:44 2006 +0200

    don't distribute Xfuncproto.h and Xpoll.h
    Don't distribute these two files, as they're generated during the build.

commit cf44526713681ccfb6ef929a9c25ea650c5d1a32
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 19:02:19 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 528e313fd1f1ae6f2303d3963afe41545f55ef88
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Oct 26 00:45:44 2006 +0300

    bump to 7.0.9

commit ab484c934301a61edc66dc1e4f554ec97b53aaf8
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Oct 26 00:45:36 2006 +0300

    Xfuncproto: add _X_LIKELY and _X_UNLIKELY
    Add gcc branch hinting annotations.

commit 178cae180bc8b2e8feaaeda6d7c0317cf2715e14
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Sep 21 18:43:06 2006 +0300

    Xfuncproto: define _X_INLINE for older compilers

commit 241e9dfd400aa21919d06fb7c78b5730eee12aab
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Sep 21 14:51:00 2006 +0300

    bump to 7.0.8

commit e51b21e316a5a1b9442a5d972b4ffa03455aca6e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Sep 21 14:50:45 2006 +0300

    XF86keysym: add keyboard/monitor brightness controls (Bug #8120)
    Add XF86{Kbd,Mon}Brightness{Up,Down}, and XF86KbdLightOnOff.

commit c3f56593f776e7f9e3e0d220c6bcf8be38a16839
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Sep 20 21:11:30 2006 +0300

    Xfuncproto: add _X_INLINE

commit 4fb2e257ae6de38971be8005283402226aea1ee5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jul 14 17:59:19 2006 -0700

    Replace manual ChangeLog with dist-hook to generate from git log

commit 2153ef4b7c2a93cba39ae08352ea2c46e5f0eefb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jul 14 17:54:38 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 0b76eb310307cd16e55d0c0792b54a2c6774fb88
Author: Dan McNichol <mcnichol@austin.ibm.com>
Date:   Fri Jul 14 17:53:34 2006 -0700

    Bug #7458: AIX changes to Xmd.h
    
    Bugzilla Bug #7458 <https://bugs.freedesktop.org/show_bug.cgi?id=7458>
    Patch #6179 <https://bugs.freedesktop.org/attachment.cgi?id=6179>

commit bb7584b5c88236c59c4e3040bc7c28c150abf048
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jun 10 15:33:50 2006 +0000

    Add ISO_Level5_{Shift,Latch,Lock}.

commit e9aebeae3661d4c464c7aa53722d0a6bf915101a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 1 23:31:20 2006 +0000

    Bug #6887: Add dead_stroke, bump to 7.0.7. (Troy Korjuslommi)

commit f3886640d29026359ffc4add39b66b8ff48472d3
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 1 23:00:34 2006 +0000

    Bump to 7.0.6.

commit d10d0302be37adb22804270926332e9d701935bb
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 1 23:00:03 2006 +0000

    Bug #6296: Add support for Braille. (Samuel Thibault)

commit 0471bfcce2787d2f1ff0fc2d019840e2bae8bc49
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:26:49 2006 +0000

    Bump to 7.0.5

commit 2a2b6db1f78f94c8f3690f675f0c032401fb2541
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Apr 26 00:00:02 2006 +0000

    Fix more comment typos.

commit 33cea539618d58d64efb6a5c0465d14a471256cd
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Apr 20 01:24:25 2006 +0000

    On Solaris, #include <sys/isa_defs.h> to be sure _LP64 is defined in 64-bit
        builds.
    Fix some comment typos.

commit 5e7d5cbf21c33f883ab508a51422775f59c4da00
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:39 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 1827a78f3a23c77dbcddfc8227d85c5add59d819
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:47 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 45811c86eb34e9f09e7d807ba4633107513f0d52
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 01:13:36 2005 +0000

    Automatically generate FUNCPROTO and NARROWPROTO defines in Xfuncproto.h.

commit c03cc7739b37ca504a2b56a73945755c41c68b2a
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:51:15 2005 +0000

    Ignore Xpoll.h, which is generated now.

commit 54c8ddf303053fb398e00fc8a35df712a7f3d47d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 21 02:47:21 2005 +0000

    Change values of XK_MATHEMATICAL symbols to use 0x1000000 + Unicode value,
        as Xorg Architecture Task Force agreed last year should be done for all
        new keysyms mapped to Unicode characters.

commit f13eca1bc0feba2476f87e019a4ef40693a61ed8
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:20:33 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 448763bde4a31cb012ad17cd6c5159411102432b
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:25 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 59a5a5ebb6781d417d7a4d5905999da5fc76a083
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:15 2005 +0000

    Update package version number for RC1 release.

commit 3f74cc5e8309b2a4ac7671ca3c52c304ec5aa57f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Oct 15 00:48:27 2005 +0000

    Remove duplicate keysyms accidentally added to XK_MATHEMATICAL section.

commit eaffdc0d593b94d9036033911535371e73698573
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Oct 9 15:37:29 2005 +0000

    Bug #4688: Add various mathematical keysyms (all Unicode).

commit 40b6e64fb1084f7b0270c279ac7132e52886c912
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Aug 21 15:27:27 2005 +0000

    define CSRG_BASED here on systems that used to define it in Imake
        configuration. For use in the modular tree.

commit 04f9f7fd17cab16e5b0b135409011c0d284b002c
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Aug 2 19:19:40 2005 +0000

    Add basic .cvsignore files for proto modules.

commit cd0400eeda5d7818232844d93343877ef0ff8168
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Aug 2 18:36:30 2005 +0000

    Fix the fds_bits test on OSX and maybe others. OSX defines fd_set in
        <sys/types.h> just to be perverse.

commit a475adb523a4d24cd53d436ba8c98ac7c8d37934
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 21:07:25 2005 +0000

    Add prototypes of Xalloc/free functions.
    Export ImUtil.h to match modular tree install.
    Define SVR4 to 1 to avoid warning about redefining to different values.
    Include missing headers to clear more compiler warnings.

commit f6bd2288d3630ff7cb864e54cc7ebab1b3069067
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:57 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 74a3f7f77830e4417a4bc4145114030dfaef6f4e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 23 02:53:32 2005 +0000

    Remove all _XOPEN_SOURCE definitions from Xos.h, as Xpoll.h.in now deals
        with this by using which of fds_bits or __fds_bits we have.

commit f97e34e65e403140dde00d260be0fd7f853ac8f0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 22 08:01:39 2005 +0000

    Add includex11dir as a path to the includes, sans X11/.
    Turn Xpoll.h into a generated file. In the modular tree, substitute in
        whichever of fds_bits or __fds_bits is being used for the member of
        fd_set on the system; in the monolithic tree, substitute in fds_bits
        unconditionally, as that's the way it was before thanks to
        _XOPEN_SOURCE being defined.

commit 7a9ce57163172557d6ba41119a5a3b2837dbbc8e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 20:54:13 2005 +0000

    Guard INCLUDE_ALLOCA_H define to end redefinition warnings.

commit 825b6ae347b3896b8ea38e6021170d45ae3bfd65
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Jul 14 22:08:38 2005 +0000

    Don't define _XOPEN_SOURCE on SVR4, because it will REMOVE required
        definitions.

commit acc0551fb1af1152c1b630ff5e82f023f11751e2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 13 23:43:08 2005 +0000

    #define INCLUDE_ALLOCA_H when building with Sun compilers. (Imake *.cf
        files define this for a number of platforms in the monolith, but these
        will need to be translated into #ifdef's or similar mechanism to work
        in a world without Imake.)

commit b8301067b6e962a3dc786dd909726b7e6cb81085
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Jul 13 20:12:13 2005 +0000

    include <X11/Xwindows.h> instead of <windows.h>. Several namespace
        conflicts are worked around in Xwindows.h

commit ec7a156bcdbe8e4bddf232d4a03f47d426096736
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 13 07:23:56 2005 +0000

    Make some minor source adjustments so that we don not need to use
        -D_XOPEN_SOURCE -D_BSD_SOURCE everywhere as this will leak out of the
        modular environment and into application build processes, potentially
        foulling up their compiles.

commit 2a0445903d06c332acf70cfd18ba57ddbbeada32
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:55:00 2005 +0000

    Move misc.h and os.h from proto/X11 to xserver/xorg/include.

commit ef6f542053b30af29b8045ffa6ce26386aab7bba
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 28 13:15:27 2005 +0000

    - Remove xfixes.pc.in from lib/lbxutil
    - Add missing backslash in proto/X11/Makefile.am
    Both pointed out by ISHIKAWA Mutsumi

commit 4cf89be7baf8a79d2d399abd17c4e23279cca364
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jun 27 17:41:09 2005 +0000

    - Add os.h and misc.h to proto/X11
    - In symlink.sh move os.h and misc.h from xserver/include to proto/X11
    - in xc/lib/lbxutil/ do some include-with-<>-instead-of-with-""

commit e575c5104a8627428dd18c4040d4ad787655164a
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 25 22:12:21 2005 +0000

    - Use XTRANS_CONNECTION_FLAGS macro in lib/FS/configure.ac
    - Don't symlink transport.c, which is a generated file
    - instead add a new file fs_transport.c that include Xtrans/X11/transport.c

commit 207e3f82011d5f83db0eca318a1de50f0c1da0dc
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 25 21:47:56 2005 +0000

    - Add FSlib to symlink.sh
    - Change Xtrans includedir back to be X11/Xtrans, so that users of it can
        continue to include <X11/*>
    - Add build system for FSlib
    - Conditionally include config.h in xc/lib/FS
    - Remove redundant include of FSproto.h in xc/lib/FS
    - Add check to proto/X11/configure.ac whether -D_XOPEN_SOURCE is needed.

commit a5a4bfe9b432e7d8238f9a02d80be4ce6bb64978
Author: Josh Triplett <josh@speakeasy.net>
Date:   Mon May 23 01:22:10 2005 +0000

    The macros in Xpoll.h poke at the guts of struct fd_set in ways that only
        work if _XOPEN_SOURCE is defined, so define it in Cflags in the
        pkg-config file.

commit 2f4c3aa871a047359f8121e6401be1ba4cf0b8e0
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:40 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit 4809dd9150599a9e88f64cd1b82737872b7b1b94
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:19 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 6ff17c33f0773e152122d66cbaffaa54e53e086c
Author: Josh Triplett <josh@speakeasy.net>
Date:   Sat May 14 07:56:49 2005 +0000

    Add AUTHORS file for X11 from xlibs tree.

commit 3f8b0ba6071dcdd62ea424cab0bddb39db2ebe6a
Author: Josh Triplett <josh@speakeasy.net>
Date:   Sat May 14 07:55:10 2005 +0000

    Add some COPYING files.

commit 803c8ecaba2f8c703bbb46c0d740bfa349ce0245
Author: Kevin E Martin <kem@kem.org>
Date:   Fri May 6 01:46:31 2005 +0000

    Initial build system files for proto module.

commit a870c60741273ebd6cb1e69b4e535ce3a6bc76bf
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Apr 28 22:04:12 2005 +0000

    Don't define X_NOT_STDC_ENV on Solaris x86. Bugzilla #3158:
        https://bugs.freedesktop.org/show_bug.cgi?id=3158 Patch #2588:
        https://bugs.freedesktop.org/attachment.cgi?id=2588 (Henry Zhao, Sun
        Microsystems)

commit 372f37171ba3875ea4bf7f60150d92869e06010f
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Apr 20 13:58:17 2005 +0000

    check for define PATH_MAX before referencing it

commit e489ec65b4b2ab0a050d8dbf7ec0658e6decb8b3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Mar 2 19:29:31 2005 +0000

    Patch #2007 <https://bugs.freedesktop.org/attachment.cgi?id=2007>
    1) Fix Solaris #ifdefs to choose between UI/SVR4 (early POSIX draft) and
        POSIX standard thread API's correctly.
    2) Fix calls to POSIX standard versions to check errors correctly. (POSIX
        defines a return value of 0 on success, errno value on error, but the
        macros were checking for -1 on error.)

commit d761e87224d3e60c5355ac3e3468835fc3b4be92
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Mar 2 11:20:29 2005 +0000

    xc/config/cf/DragonFly.cf
    xc/config/cf/Imake.cf
    xc/config/cf/Imakefile
    xc/config/imake/imake.c
    xc/config/imake/imakemdep.h
    xc/extras/drm/shared/drm.h
    xc/include/Xos_r.h
    xc/lib/xtrans/Xtranssock.c
    xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
    xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h
    xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
    //bugs.freedesktop.org/show_bug.cgi?id=1712) attachment #2004
        (https://bugs.freedesktop.org/attachment.cgi?id=2004): Add support for
        DragonFly/BSD platform. Patch by Jeroen Ruigrok <asmodai@tendra.org>
        and Mike Verona <firedragonfly@gmail.com>.

commit 1cae0cb4b1442b34d76ee5623fb2a17ed2353c50
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Sun Jan 9 15:06:04 2005 +0000

    Make sure PATH_MAX is at least 1024

commit 9df4ffce552a0f6eca47764a3f79b466629e8bab
Author: Egbert Eich <eich@suse.de>
Date:   Mon Jan 3 18:03:49 2005 +0000

    gcc 4 doesn't like predeffines line 'linux' any more. To muffle the
        compiler replace them with __linux__ (Bugzilla #2207).

commit dd82af84ed67f439444e75ea1d032c082e15db51
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Nov 15 15:06:53 2004 +0000

    Bufzilla #1802, http://freedesktop.org/bugzilla/show_bug.cgi?id=1802 Added
        mingw (Win32) port

commit 618956f1f783a8c330aab8eac425937f0b8e50e1
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sun Sep 26 20:46:18 2004 +0000

    The big keysym cleanup, to bring implementation in line with the recent
        revision of Appendix A of the protocol spec. (Markus Kuhn)

commit 7cb1490d8932d745b3a5e2b3370a000da064306f
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 11 21:14:16 2004 +0000

    Apply PPC64 build patch (Bug #303, Mike A. Harris, Alan Coopersmith).

commit 5b67de2bce0e33a4a85439ebcf7b726a6da24545
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:05 2004 +0000

    Merging XORG-CURRENT into trunk

commit e88a09c1df46637979c4d131a8e41af923ff4d45
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:31:34 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 9259b43390c50d330f557390cc4576f5315c3f53
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:10:53 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 99bbbc3fcaf67b02a50e4ff4007225b1b64beb36
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:11 2004 +0000

    readding XFree86's cvs IDs

commit 82d7bb39bc84eb16134e931263f53bc88d1788ac
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:24 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 0700ff31a84abc06fdf4b05c2328ff2329dc909c
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:07:54 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit ad76b5cc436937d9fb945bd43d9356651fe182ca
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:54:20 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 376f9efdab6ef2dce267caa0a0228892e768e390
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:01 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 5ec315b967cb1ae519f514896f0b48fb5407f863
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:42 2003 +0000

    XFree86 4.3.0.1

commit f2001f5bd5316842106a98b23f09400688575fa3
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:42 2003 +0000

    Initial revision

commit ee0a1a43dc707f960e637fdf2118723e4de0a55d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:35 2003 +0000

    R6.6 is the Xorg base-line
